Run of fresh-snapshots for ocaml-qcheck

Try this locally package):


git clone  ocaml-qcheck
cd ocaml-qcheck
ogni dist

1
2
3
4
5
6
7
8
9
10
11
12
13
14
15
16
17
18
19
20
21
22
23
24
25
26
27
28
Using upstream branch https://github.com/c-cube/qcheck.git (from configuration)
69)
Total 3455 (delta 763), reused 972 (delta 645), pack-reused 2286
last found upstream version 0.18 (0.18) is lower than previous packaged upstream version (0.18.1)
Using version string 0.18.1+git20220211.1.be9a0e7.
No upstream upstream-revision format specified, trying tag:0.18.1
No upstream upstream-revision format specified, trying tag:ocaml-qcheck-0.18.1
No upstream upstream-revision format specified, trying tag:v0.18.1
Not including upstream history, since previous upstream version (0.18.1) is not present in packaging branch history.
Looking for upstream 0.18.1+git20220211.1.be9a0e7 in upstream branch <RemoteGitBranch('https://github.com/c-cube/qcheck.git/', 'master')>.
Running dist command: SCHROOT=unstable-amd64-sbuild PYTHONPATH=/:/code:/code/breezy:/code/dulwich:/code/lintian-brush:/code/ognibuild:/code/silver-platter:/code/buildlog-consultant:/code/upstream-ontologist:/code/debmutate:/code/python-debian/lib:/usr/lib/python39.zip:/usr/lib/python3.9:/usr/lib/python3.9/lib-dynload:/usr/local/lib/python3.9/dist-packages:/usr/lib/python3/dist-packages /usr/bin/python3 -m janitor.dist --packaging=/tmp/janitorqzebg_75/ocaml-qcheck/debian
Opened schroot session unstable-amd64-sbuild-615fdeeb-a9aa-422e-b991-1c258b1e2e79 (from unstable-amd64-sbuild)
apt: running ['apt', '-y', 'satisfy', 'debhelper-compat (= 13),\n dh-ocaml,\n ocaml,\n ocaml-dune,\n ocaml-findlib,\n libalcotest-ocaml-dev,\n libounit-ocaml-dev (>= 2.2.0)']
Traceback (most recent call last):
  File "/usr/lib/python3.9/runpy.py", line 197, in _run_module_as_main
    return _run_code(code, main_globals, None,
  File "/usr/lib/python3.9/runpy.py", line 87, in _run_code
    exec(code, run_globals)
  File "/code/janitor/dist.py", line 128, in <module>
    satisfy_build_deps(session, packaging_tree, packaging_debian_path)
  File "/code/ognibuild/ognibuild/debian/__init__.py", line 41, in satisfy_build_deps
    apt.satisfy(deps)
  File "/code/ognibuild/ognibuild/debian/apt.py", line 132, in satisfy
    run_apt(self.session, ["satisfy"] + deps, prefix=self.prefix)
  File "/code/ognibuild/ognibuild/debian/apt.py", line 54, in run_apt
    raise UnidentifiedError(retcode, args, lines, secondary=match)
ognibuild.UnidentifiedError: (100, ['apt', '-y', 'satisfy', 'debhelper-compat (= 13),\n dh-ocaml,\n ocaml,\n ocaml-dune,\n ocaml-findlib,\n libalcotest-ocaml-dev,\n libounit-ocaml-dev (>= 2.2.0)'], ['\n', 'WARNING: apt does not have a stable CLI interface. Use with caution in scripts.\n', '\n', 'Reading package lists...\n', 'Building dependency tree...\n', 'Some packages could not be installed. This may mean that you have\n', 'requested an impossible situation or if you are using the unstable\n', 'distribution that some required packages have not yet been created\n', 'or been moved out of Incoming.\n', 'The following information may help to resolve the situation:\n', '\n', 'The following packages have unmet dependencies:\n', ' libalcotest-ocaml-dev : Depends: libuutf-ocaml-dev-hrl14 but it is not installable\n', 'E: Unable to correct problems, you have held broken packages.\n'])
Command 'SCHROOT=unstable-amd64-sbuild PYTHONPATH=/:/code:/code/breezy:/code/dulwich:/code/lintian-brush:/code/ognibuild:/code/silver-platter:/code/buildlog-consultant:/code/upstream-ontologist:/code/debmutate:/code/python-debian/lib:/usr/lib/python39.zip:/usr/lib/python3.9:/usr/lib/python3.9/lib-dynload:/usr/local/lib/python3.9/dist-packages:/usr/lib/python3/dist-packages /usr/bin/python3 -m janitor.dist --packaging=/tmp/janitorqzebg_75/ocaml-qcheck/debian' returned non-zero exit status 1.

Publish Blockers

  • ☒ run was not successful
  • ☑ package has not been removed from the archive
  • ☑ command has not changed
  • ☒ not yet reviewed, but review needed
  • ☑ 0 publish attempts so far. not currently attempting to back off
  • ☑ proposals not currently being rate-limited for maintainer None
  • ☒ change set 28423a28-a88d-45d6-bef6-fdbad6bdfc62 is working

Full worker log